

{% extends 'base.html.twig' %}
{% block title %} Group Module /  Ajout du Stage {% endblock %}
{% block body %}

    <div class="page-header">
        <h1>
            STAGES
            <small>
                <i class="ace-icon fa fa-angle-double-right"></i>
                AJOUT D'UN STAGE
            </small>
        </h1>
    </div>
    {#{ dump(app.request) }#}
    {{ form_start(form, { 'attr' : { 'class': 'form-horizontal','novalidate': 'novalidate' } }) }}

    {% for flash_message in app.session.flashBag.get('notice') %}
        <div class="alert alert-block alert-success message_flash">
            <button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>   {% autoescape %}
                {{ flash_message }} {# var won't be escaped #}
                <br/>

                {% endautoescape %}</p>
            </div>
            {% endfor %}
                {% for flash_message in app.session.flashBag.get('error') %}
                    <div class="alert alert-block alert-danger message_flash">
                        <button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>{{ flash_message }}</p>
                    </div>
                {% endfor %}
                <div class="form-group">
                    <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(form.observation) }} </label>
                    <div class="col-sm-9">
                        {{ form_widget(form.observation) }}
                        <span class="help-inline col-xs-12 col-sm-7">
                            <span class="middle error_form">{{ form_errors(form.observation) }}</span>
                        </span>
                    </div>
                </div>
                <hr/>
                <div class="form-group">
                    <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(form.dateDebut) }} </label>

                    <div class="col-sm-9">
                        {{ form_widget(form.dateDebut) }}

                        <span class="help-inline col-xs-12 col-sm-7">
                            <span class="middle error_form">{{ form_errors(form.dateDebut) }}</span>
                        </span>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(form.dateFin) }} </label>

                    <div class="col-sm-9">
                        {{ form_widget(form.dateFin) }}

                        <span class="help-inline col-xs-12 col-sm-7">
                            <span class="middle error_form">{{ form_errors(form.dateFin) }}</span>
                        </span>
                    </div>
                </div>  
                <hr/>

                <div class="form-group">
                    <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(form.active) }} </label>

                    <div class="col-sm-9">
                        {{ form_widget(form.active) }}

                        <span class="help-inline col-xs-12 col-sm-7">
                            <span class="middle error_form">{{ form_errors(form.active) }}</span>
                        </span>
                    </div>
                </div>
                <!--  <div class="form-group">
                      <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {#{ form_label(form.fermer) }#} </label>
  
                      <div class="col-sm-9">
                {#{ form_widget(form.fermer) }#}

                <span class="help-inline col-xs-12 col-sm-7">
                    <span class="middle error_form">{#{ form_errors(form.fermer) }#}</span>
                </span>
            </div>
        </div>-->


                <hr/> 



                <div class="form-group">
                    <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(form.etablissement) }} </label>

                    <div class="col-sm-9">
                        {{ form_widget(form.etablissement) }}

                        <span class="help-inline col-xs-12 col-sm-7">
                            <span class="middle error_form">{{ form_errors(form.etablissement) }}</span>
                        </span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(form.formation) }} </label>

                    <div class="col-sm-9">
                        {{ form_widget(form.formation) }}

                        <span class="help-inline col-xs-12 col-sm-7">
                            <span class="middle error_form">{{ form_errors(form.formation) }}</span>
                        </span>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(form.promotion) }} </label>

                    <div class="col-sm-9">
                        {{ form_widget(form.promotion) }}

                        <span class="help-inline col-xs-12 col-sm-7">
                            <span class="middle error_form">{{ form_errors(form.promotion) }}</span>
                        </span>
                    </div>
                </div>  
                <div class="form-group">
                    <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(form.semestre) }} </label>

                    <div class="col-sm-9">
                        {{ form_widget(form.semestre) }}

                        <span class="help-inline col-xs-12 col-sm-7">
                            <span class="middle error_form">{{ form_errors(form.semestre) }}</span>
                        </span>
                    </div>
                </div> 

                <hr/>






                <div class="clearfix form-actions no-padding-right">
                    <div class="col-md-offset-3 col-md-9">

                        {{ form_widget(form.save, { 'label': 'Créer' }) }}                            

                        &nbsp; &nbsp; &nbsp;

                        {{ form_widget(form.reset, { 'label': 'Réinitialiser' }) }}
                        &nbsp; &nbsp; &nbsp;
                        <a  href="{{ path('sgroupstage_index') }}" class="btn btn-sm btn-danger ">
                            <i class="ace-icon fa fa-reply icon-only"></i>
                            Annuler
                        </a>
                    </div>
                </div>


                {{form_widget(form._token)}}
                {{ form_end(form, {'render_rest': false}) }}
                {{ include ('load/load.html.twig')}}
                {% endblock %}
                    {% block javascripts %}
                        {{parent()}}

                        <script src="{{ asset('assets/js/jquery.bootstrap-duallistbox.min.js') }}"></script>
                        <script src="{{ asset('assets/js/bootstrap-multiselect.min.js') }}"></script>
                        <script src="{{asset('assets/js/filtre.js') }}"></script>
                        <script type="text/javascript">
                            jQuery(function ($) {
                                $('.datepicker').datepicker({
                                    autoclose: true,
                                    language: 'fr',
                                    format: 'yyyy-mm-dd'
                                });

                                $(window).load(function () {


                                    $.ajax({
                                        type: 'GET',
                                        url: Routing.generate('etab_grp', {id: 1}),
                                        //  data: dta,
                                        processData: false,
                                        contentType: false,
                                        success: function (result) {
                                            if (result != "error") {



                                                var parsed = jQuery.parseJSON(result);
                                                $(".etabli").html(parsed.data);

                                            } else {

                                                $('.messages_view').removeClass("callout-info").addClass("callout callout-danger").show().html(result);
                                            }

                                        }

                                    });






                                    // Run code
                                });

                                /*  $('.etabli').change(function (event) {
                                 //alert();
                                 var c = $(this).val()
                                 if ($(this).val()) {
                                 
                                 $.ajax({
                                 url: Routing.generate('forma_grp', {id: c}),
                                 success: function (result) {
                                 //aler(ic);
                                 var parsed = jQuery.parseJSON(result);
                                 $(".formation").html(parsed.data);
                                 
                                 }
                                 
                                 
                                 });
                                 
                                 } else {
                                 
                                 $('.formation').html('<option value="">Choix Objectif Niveau 2</option>');
                                 
                                 }
                                 
                                 event.preventDefault();
                                 });*/




                                var demo2 = $('select[name="appbundle_sgroupstage[stage][]"]').bootstrapDualListbox({infoTextFiltered: '<span class="label label-purple label-lg">Filtré</span>'});
                                var container2 = demo2.bootstrapDualListbox('getContainer');
                                container2.find('.btn').addClass('btn-white btn-info btn-bold');

                            });
                        </script>
                    {% endblock %}